
cd C:\LSA21


/*  f/m12
1 	１：女性票
2 	２：男性票
3 	３：配偶者票（女性用）
4 	４：配偶者票（男性用）
*/

************************************************
*wave2 female
************************************************
use dta\LSA21wave2.dta,clear
drop if v11!=1

*女性票だけを残す
gen d_female=1
gen d_male=0
gen wave=2
gen year=2003
do do_file\rename2_female.do
drop v*
rename f5 id_area1
rename f6 id_area2
rename f7 fam_id

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*調査対象者ID
gen double id=id_area1_b+id_area2_b+fam_id_b+id_f
*配偶者ID
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_m
*世帯ID
gen double id2=id_area1_b+id_area2_b+fam_id_b

drop id_area1_b id_area2_b fam_id_b 
format id id2 %12.0g

sort id id2
save dta\wave2_female20.dta,replace

************************************************
*wave2 female_sp
************************************************
use dta\LSA21wave2.dta,clear
drop if v11!=3

*女性票だけを残す
gen d_female_sp=1
gen d_male_sp=0
gen wave=2
gen year=2003
do do_file\rename2_female.do
drop v*
rename f5 id_area1
rename f6 id_area2
rename f7 fam_id

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*調査対象者ID
gen double id=id_area1_b+id_area2_b+fam_id_b+id_m
*配偶者ID
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_f
*世帯ID
gen double id2=id_area1_b+id_area2_b+fam_id_b

drop id_area1_b id_area2_b fam_id_b 
format id_c id2 %12.0g
sort id_c
gen group=0
save dta\wave2_female_sp20.dta,replace

************************************************
*wave2 male1
************************************************
use dta\LSA21wave2.dta,clear
drop if v11!=2
gen d_male=1
gen d_female=0
gen wave=2
gen year=2003
do do_file\rename2_male1.do
drop v*
rename m5 id_area1
rename m6 id_area2
rename m7 fam_id

*id_fなし
gen id_f=.

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*調査対象者ID
gen double id=id_area1_b+id_area2_b+fam_id_b+id_m
*配偶者ID
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_f
*世帯ID
gen double id2=id_area1_b+id_area2_b+fam_id_b

drop id_area1_b id_area2_b fam_id_b 
format id id2 %12.0g
sort id
save dta\wave2_male21.dta,replace

************************************************
*wave2 male_sp1
************************************************
use dta\LSA21wave2.dta,clear
drop if v11!=4
gen d_male_sp=1
gen d_female_sp=0
gen wave=2
gen year=2003
do do_file\rename2_male_sp1.do
drop v*
rename m5 id_area1
rename m6 id_area2
rename m7 fam_id

*id_fなし
gen id_f=.

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*調査対象者ID
gen double id=id_area1_b+id_area2_b+fam_id_b+id_f
*配偶者ID
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_m
*世帯ID
gen double id2=id_area1_b+id_area2_b+fam_id_b

drop id_area1_b id_area2_b fam_id_b 
format id_c  id2 %12.0g
sort id_c id2
gen group=0
save dta\wave2_male_sp21.dta,replace

************************************************
*wave2 male2
************************************************
use dta\LSA21wave2.dta,clear
drop if v18!=2
gen d_male=1
gen d_female=0
gen wave=2
gen year=2003
do do_file\rename2_male2.do
drop v*
rename m5 id_area1
rename m6 id_area2
rename m7 fam_id

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*調査対象者ID
gen double id=id_area1_b+id_area2_b+fam_id_b+id_m
*配偶者ID
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_f
*世帯ID
gen double id2=id_area1_b+id_area2_b+fam_id_b

drop id_area1_b id_area2_b fam_id_b 
format id id2 %12.0g
sort id
save dta\wave2_male22.dta,replace

************************************************
*wave2 male_sp2
************************************************
use dta\LSA21wave2.dta,clear
drop if v18!=4
gen d_male_sp=1
gen d_female_sp=0
gen wave=2
gen year=2003
do do_file\rename2_male_sp2.do
drop v*
rename m5 id_area1
rename m6 id_area2
rename m7 fam_id

*地区番号、世帯番号などに基づき,id番号を作成する
gen id_area1_b=id_area1*10000
gen id_area2_b=id_area2*1000
gen fam_id_b=fam_id*10

*調査対象者ID
gen double id=id_area1_b+id_area2_b+fam_id_b+id_f
*配偶者ID
gen double id_c=id_area1_b+id_area2_b+fam_id_b+id_m
*世帯ID
gen double id2=id_area1_b+id_area2_b+fam_id_b

drop id_area1_b id_area2_b fam_id_b 
format id_c  id2 %12.0g
sort id_c id2
gen group=0
save dta\wave2_male_sp22.dta,replace

************************************************
*merge female
************************************************
*配偶者データありサンプル
use dta\wave2_female20.dta,clear
drop if id_c==.
save dta\wave2_female2a.dta,replace

*配偶者データなしサンプル
use dta\wave2_female20.dta,clear
drop if id_c!=. 
save dta\wave2_female2b.dta,replace

*マッチングできる配偶者データ
use dta\wave2_male_sp21.dta,clear
append using dta\wave2_male_sp22.dta
drop if id==.
save dta\wave2_male_sp2b.dta,replace

*配偶者データのみサンプル
use dta\wave2_male_sp21.dta,clear
append using dta\wave2_male_sp22.dta
drop if id!=.
save dta\wave2_male_sp2c.dta,replace

*merge
use dta\wave2_male_sp2b.dta,clear
drop if id==.
merge 1:1 id using dta\wave2_female2a.dta
tab _merge
append using dta\wave2_female2b.dta
append using dta\wave2_male_sp2c.dta
save dta\wave2_female.dta,replace

************************************************
*merge male
************************************************
use dta\wave2_male21.dta,clear
append using dta\wave2_male22.dta
save dta\wave2_male2.dta,replace

*配偶者データありサンプル
use dta\wave2_male2.dta,clear
drop if id_c==.
save dta\wave2_male2a.dta,replace

*配偶者データなしサンプル
use dta\wave2_male2.dta,clear
drop if id_c!=. 
save dta\wave2_male2b.dta,replace

*マッチングできる配偶者データ
use dta\wave2_female_sp20.dta,clear
drop if id==.
save dta\wave2_female_sp2b.dta,replace

*配偶者データのみのサンプル
use dta\wave2_female_sp20.dta,clear
drop if id!=.
save dta\wave2_female_sp2c.dta,replace

*merge
use dta\wave2_female_sp20.dta,clear
drop if id==.
merge 1:1 id using dta\wave2_male2a.dta
tab _merge
append using dta\wave2_male2b.dta
append using dta\wave2_female_sp2c.dta
save dta\wave2_male.dta,replace
append using dta\wave2_female.dta

*女性票でmergeできたサンプル=1
replace group=1 if d_female==1&d_female_sp==0
*男性票でmergeできたサンプル=2
replace group=2 if d_female_sp==1&d_female==0

tab d_female_sp group
replace id_c=. if group==.
replace id_f=. if d_female==0&group==.
replace id_m=. if d_female==1&group==.
drop _merge
save dta\wave2.dta,replace
tab group d_female
tab group d_female_sp
tab d_female
tab d_female_sp

erase dta\wave2_female20.dta
erase dta\wave2_female2a.dta
erase dta\wave2_female2b.dta
erase dta\wave2_female_sp20.dta
erase dta\wave2_female_sp2b.dta
erase dta\wave2_female_sp2c.dta

erase dta\wave2_male21.dta
erase dta\wave2_male22.dta
erase dta\wave2_male2a.dta
erase dta\wave2_male2b.dta
erase dta\wave2_male_sp21.dta
erase dta\wave2_male_sp22.dta
erase dta\wave2_male_sp2b.dta
erase dta\wave2_male_sp2c.dta
erase dta\wave2_female.dta
erase dta\wave2_male.dta







